Debian Bug report logs - #398765
ITP: refocus -- The GIMP plugin to refocus images using FIR Wiener filtering

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Y Giridhar Appaji Nag <giridhar@appaji.net>

Date: Wed, 15 Nov 2006 13:33:18 UTC

Owned by: Bernd Zeimetz <bernd@bzed.de>

Severity: wishlist

Fixed in version refocus/0.9.0-1

Done: Bernd Zeimetz <bernd@bzed.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <giridhar@appaji.net>, ernstl@users.sourceforge.net, <wnpp@debian.org>:
Bug#398765; Package wnpp. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Y Giridhar Appaji Nag <giridhar@appaji.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: gimp-refocus -- GIMP plugin to sharpen/re-focus images using FIR Wiener filtering
Date: Wed, 15 Nov 2006 18:15:57 +0530
Package: wnpp
Severity: wishlist

* Package name    : gimp-refocus
  Version         : 0.9.0
  Upstream Author : Ernst Lippe <ernstl@users.sourceforge.net>
* URL             : http://refocus.sourceforge.net/
* License         : GPL
  Programming Lang: C
  Description     : GIMP plugin to sharpen/re-focus images using FIR Wiener filtering

During image processing operations such as scanning and scaling, images
tend to get blurry. The blurred impression of these images is due to the
fact that image pixels are averaged with their neighbors. Blurred images
don't have sharp boundaries and look as though they have been taken with
an unfocussed camera.

Refocus is a plug-in for the Gimp (the GNU Image Manipulation Program).
This plug-in attempts to "refocus" the image, using a technique called
FIR Wiener filtering. The traditional technique for sharpening images is
to use unsharp masking. Refocus generally produces better results than
unsharp masking.

The plug-in comes with a preview that helps you select the best
parameters.

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (900, 'testing'), (800, 'unstable'), (700, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-686
Locale: LANG=en_IN, LC_CTYPE=en_IN (charmap=UTF-8)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#398765; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bernd@bzed.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #8 received at 398765@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bernd@bzed.de>
To: 398765@bugs.debian.org
Subject: (no subject)
Date: Sun, 04 Mar 2007 02:08:36 +0100
Heya,

if nobody is in a hurry and wants to do it before me I'll look into that
and create a package in april - after exams are done at university.

Best regards,

Bernd



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#398765; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bernd@bzed.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #13 received at 398765@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bernd@bzed.de>
To: 398765@bugs.debian.org
Subject: plugin does not compile for gimp>2
Date: Sun, 04 Mar 2007 21:52:13 +0100
Heya,

today I've spent some time on the refocus-plugin. Unfortunately it was
written for gimp <2.0, it doesn't build for gimp2. I'm trying to contact
the author, if that doesn't result in anything positive, I won't be able
to package it.


Best regards,

Bernd



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#398765; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bernd@bzed.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #18 received at 398765@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bernd@bzed.de>
To: 398765@bugs.debian.org, control@bugs.debian.org
Subject: ITP: gimp-refocus -- GIMP plugin to sharpen/re-focus images using FIR Wiener filtering
Date: Mon, 05 Mar 2007 03:53:26 +0100
retitle 398765 ITP: gimp-refocus -- GIMP plugin to sharpen/re-focus
images using FIR Wiener filtering
owner 398765 !
thanks

Heya,

today I've spent a few free hours (and some more) on this plugin. After
googling for some time I found a link to a version which was supposed to
build with gimp2.2, so I gave it a try.
The plugin brings it’s own preview, back from the times when GIMP didn’t
have a preview for the filters, that’s why it’ll look a bit different
for your eyes. Also it doesn’t seem to support selections.

Find the package (for gimp from experimental, amd64) and sources and a
lot of comments from me at:

http://bzed.de/debian/packages/gimp-refocus


Best regards,

Bernd Zeimetz



Changed Bug title. Request was from Bernd Zeimetz <bernd@bzed.de> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Bernd Zeimetz <bernd@bzed.de>. Request was from Bernd Zeimetz <bernd@bzed.de> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Bernd Zeimetz <bernd@bzed.de> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Bernd Zeimetz <bernd@bzed.de> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Bernd Zeimetz <bernd@bzed.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 26 Apr 2007 12:09:16 GMT) Full text and rfc822 format available.

Changed Bug title to ITP: refocus -- The GIMP plugin to refocus images using FIR Wiener filtering from ITP: gimp-refocus -- The GIMP plugin to refocus images using FIR Wiener filtering. Request was from Bernd Zeimetz <bernd@bzed.de> to control@bugs.debian.org. (Wed, 02 May 2007 21:39:38 GMT) Full text and rfc822 format available.

Reply sent to Bernd Zeimetz <bernd@bzed.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Y Giridhar Appaji Nag <giridhar@appaji.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 398765-close@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bernd@bzed.de>
To: 398765-close@bugs.debian.org
Subject: Bug#398765: fixed in refocus 0.9.0-1
Date: Mon, 07 May 2007 15:47:00 +0000
Source: refocus
Source-Version: 0.9.0-1

We believe that the bug you reported is fixed in the latest version of
refocus, which is due to be installed in the Debian FTP archive:

gimp-refocus_0.9.0-1_amd64.deb
  to pool/main/r/refocus/gimp-refocus_0.9.0-1_amd64.deb
refocus_0.9.0-1.diff.gz
  to pool/main/r/refocus/refocus_0.9.0-1.diff.gz
refocus_0.9.0-1.dsc
  to pool/main/r/refocus/refocus_0.9.0-1.dsc
refocus_0.9.0.orig.tar.gz
  to pool/main/r/refocus/refocus_0.9.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 398765@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bernd Zeimetz <bernd@bzed.de> (supplier of updated refocus package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 26 Apr 2007 03:22:34 +0200
Source: refocus
Binary: gimp-refocus
Architecture: source amd64
Version: 0.9.0-1
Distribution: unstable
Urgency: low
Maintainer: Bernd Zeimetz <bernd@bzed.de>
Changed-By: Bernd Zeimetz <bernd@bzed.de>
Description: 
 gimp-refocus - The GIMP plugin to refocus images using FIR Wiener filtering
Closes: 398765
Changes: 
 refocus (0.9.0-1) unstable; urgency=low
 .
   * Initial Release (Closes: #398765)
Files: 
 3fd7d7ca4de20d756b01b5cbd9576a38 635 graphics optional refocus_0.9.0-1.dsc
 6174d10c9b943f56ff08e2c4da636511 324051 graphics optional refocus_0.9.0.orig.tar.gz
 981efba3724c550fb69b032913a4f1ea 11323 graphics optional refocus_0.9.0-1.diff.gz
 9f34effc448982781728b104eb20ce78 207972 graphics optional gimp-refocus_0.9.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGMB6B+YXjQAr8dHYRAvviAJsFGc3aRPJCEimnRksdHG16aiqE4QCfffqT
hd5vG0y6dLvMZG4gTt1GM2I=
=74zz
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 13:49:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:04:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.